# Class ReadOnlyMapWrapper<K,V>

java.lang.Object
javafx.beans.binding.MapExpression<K,V>
javafx.beans.property.ReadOnlyMapProperty<K,V>
javafx.beans.property.MapProperty<K,V>
javafx.beans.property.MapPropertyBase<K,V>
javafx.beans.property.SimpleMapProperty<K,V>
javafx.beans.property.ReadOnlyMapWrapper<K,V>

Type Parameters:
  `K` - the map key type
  `V` - the map value type

All Implemented Interfaces:
  `Map<K,V>`, `Observable`, `Property<ObservableMap<K,V>>`, `ReadOnlyProperty<ObservableMap<K,V>>`, `ObservableMapValue<K,V>`, `ObservableObjectValue<ObservableMap<K,V>>`, `ObservableValue<ObservableMap<K,V>>`, `WritableMapValue<K,V>`, `WritableObjectValue<ObservableMap<K,V>>`, `WritableValue<ObservableMap<K,V>>`, `ObservableMap<K,V>`

public class ReadOnlyMapWrapper<K,V> extends SimpleMapProperty<K,V>
This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.

Since:
  JavaFX 2.1

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface java.util.Map

  `Map.Entry<K,V>`

- ## Property Summary

  ### Properties declared in class javafx.beans.property.MapPropertyBase

  `empty, size`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadOnlyMapWrapper()`
  The constructor of `ReadOnlyMapWrapper`
  `ReadOnlyMapWrapper(Object bean, String name)`
  The constructor of `ReadOnlyMapWrapper`
  `ReadOnlyMapWrapper(Object bean, String name, ObservableMap<K,V> initialValue)`
  The constructor of `ReadOnlyMapWrapper`
  `ReadOnlyMapWrapper(ObservableMap<K,V> initialValue)`
  The constructor of `ReadOnlyMapWrapper`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReadOnlyMapProperty<K,V>`
  `getReadOnlyProperty()`
  Returns the readonly property, that is synchronized with this `ReadOnlyMapWrapper`.

  ### Methods declared in class javafx.beans.property.SimpleMapProperty

  `getBean, getName`

  ### Methods declared in class javafx.beans.property.MapPropertyBase

  `addListener, addListener, addListener, bind, emptyProperty, fireValueChangedEvent, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, removeListener, set, sizeProperty, toString, unbind`

  ### Methods declared in class javafx.beans.property.MapProperty

  `bindBidirectional, setValue, unbindBidirectional`

  ### Methods declared in class javafx.beans.property.ReadOnlyMapProperty

  `bindContent, bindContentBidirectional, equals, hashCode, unbindContent, unbindContentBidirectional`

  ### Methods declared in class javafx.beans.binding.MapExpression

  `asString, clear, containsKey, containsValue, entrySet, get, getSize, getValue, isEmpty, isEqualTo, isNotEqualTo, isNotNull, isNull, keySet, mapExpression, put, putAll, remove, size, valueAt, valueAt, values`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface java.util.Map

  `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

  ### Methods declared in interface javafx.beans.Observable

  `subscribe`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `flatMap, getValue, map, orElse, subscribe, subscribe, when`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### ReadOnlyMapWrapper

    public ReadOnlyMapWrapper()
    The constructor of `ReadOnlyMapWrapper`

  - ### ReadOnlyMapWrapper

    public ReadOnlyMapWrapper(ObservableMap<K,V> initialValue)
    The constructor of `ReadOnlyMapWrapper`
    Parameters:
      `initialValue` - the initial value of the wrapped value

  - ### ReadOnlyMapWrapper

    public ReadOnlyMapWrapper(Object bean, String name)
    The constructor of `ReadOnlyMapWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyMapWrapper`
      `name` - the name of this `ReadOnlyMapWrapper`

  - ### ReadOnlyMapWrapper

    public ReadOnlyMapWrapper(Object bean, String name, ObservableMap<K,V> initialValue)
    The constructor of `ReadOnlyMapWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyMapWrapper`
      `name` - the name of this `ReadOnlyMapWrapper`
      `initialValue` - the initial value of the wrapped value

- ## Method Details

  - ### getReadOnlyProperty

    public ReadOnlyMapProperty<K,V> getReadOnlyProperty()
    Returns the readonly property, that is synchronized with this `ReadOnlyMapWrapper`.
    Returns:
      the readonly property